{% load wagtailimages_tags %}

<a
  href="{{ candidate_page.url }}"
  class="
    flex gap-2 min-w-[calc(100vw_-_2.5rem)] duration-150 group !no-underline

    hover:scale-110

    lg:min-w-[24rem]
  "
>
  {% image candidate_page.image max-512x512 as candidate_image %}

  <img
    class="w-3/5 shrink-0"
    src="{{ candidate_image.url }}"
  >

  <div class="flex flex-col justify-end">
    <h3
      class="head-4xl group-hover:underline underline-offset-3"
    >{{ candidate_page.title }}</h3>

    {% if candidate_page.position %}
      <p class="!no-underline">
        {{ candidate_page.position }}
      </p>
    {% endif %}
  </div>
</a>
